Solaris fixes for a few tests
Danek Duvall
danek.duvall at sun.com
Wed Oct 18 16:09:26 UTC 2006
Solaris' /bin/sh doesn't understand the "-e" test, but /bin/test does.
Danek
# HG changeset patch
# User Danek Duvall <danek.duvall at sun.com>
# Date 1161187327 25200
# Node ID 243cdfbeb47da7d18aa3c11106e89463e5bf5f55
# Parent c8686e3f0291fb77553b053a422c0d84337aef57
Solaris compatibility fixes
diff -r c8686e3f0291 -r 243cdfbeb47d tests/test-acl
--- a/tests/test-acl Wed Oct 18 02:14:26 2006 -0500
+++ b/tests/test-acl Wed Oct 18 09:02:07 2006 -0700
@@ -9,7 +9,7 @@ do_push()
echo 'hgrc = """'
sed -e 1,2d b/.hg/hgrc
echo '"""'
- if [ -e acl.config ]; then
+ if /bin/test -e acl.config; then
echo 'acl.config = """'
cat acl.config
echo '"""'
diff -r c8686e3f0291 -r 243cdfbeb47d tests/test-bad-pull
--- a/tests/test-bad-pull Wed Oct 18 02:14:26 2006 -0500
+++ b/tests/test-bad-pull Wed Oct 18 09:02:07 2006 -0700
@@ -2,7 +2,7 @@
hg clone http://localhost:20059/ copy
echo $?
-test -e copy || echo copy: No such file or directory
+/bin/test -e copy || echo copy: No such file or directory
cat > dumb.py <<EOF
import BaseHTTPServer, SimpleHTTPServer, signal
diff -r c8686e3f0291 -r 243cdfbeb47d tests/test-empty-dir
--- a/tests/test-empty-dir Wed Oct 18 02:14:26 2006 -0500
+++ b/tests/test-empty-dir Wed Oct 18 09:02:07 2006 -0700
@@ -11,6 +11,6 @@ cat sub/b
cat sub/b
hg co 0
cat sub/b 2>/dev/null || echo "sub/b not present"
-test -e sub || echo "sub not present"
+/bin/test -e sub || echo "sub not present"
true
diff -r c8686e3f0291 -r 243cdfbeb47d tests/test-static-http
--- a/tests/test-static-http Wed Oct 18 02:14:26 2006 -0500
+++ b/tests/test-static-http Wed Oct 18 09:02:07 2006 -0700
@@ -2,7 +2,7 @@
http_proxy= hg clone static-http://localhost:20059/ copy
echo $?
-test -e copy || echo copy: No such file or directory
+/bin/test -e copy || echo copy: No such file or directory
# This server doesn't do range requests so it's basically only good for
# one pull
More information about the Mercurial-devel
mailing list